org.gradle.language

## Interface DependentSourceSet

- All Superinterfaces:
    Buildable, LanguageSourceSet, Named
  All Known Subinterfaces:
    CppSourceSet, CSourceSet

      @Incubating
      public interface DependentSourceSet
      extends LanguageSourceSet

  A source set that depends on one or more `NativeDependencySet`s to be built.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dependency(Map<?,?> dep)` Add a dependency to this source set.
    `Collection<?>` | `getLibs()` The libraries that this source set requires.
    `void` | `lib(Object library)` Adds a library that this source set requires.

    - ### Methods inherited from interface org.gradle.language.base.LanguageSourceSet

      `getSource, source`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Method Detail

    - #### getLibs

          Collection<?> getLibs()

      The libraries that this source set requires.

    - #### lib

          void lib(Object library)

      Adds a library that this source set requires. This method accepts the following types:
      - A `Library`
      - A `LibraryBinary`
      - A `NativeDependencySet`

    - #### dependency

          void dependency(Map<?,?> dep)

      Add a dependency to this source set.